Name: twitux
Version: 0.69
Release: alt3

Summary: Twitux is a Twitter client for the GNOME desktop
Group: Networking/Instant messaging
License: GPLv2+
URL: http://sourceforge.net/projects/twitux/

Source0: http://downloads.sourceforge.net/%name/%name-%version.tar.bz2

Patch0: %name-friend.patch

Packager: Igor Zubkov <icesik@altlinux.org>

BuildPreReq: gnome-doc-utils
BuildPreReq: libGConf-devel

# Automatically added by buildreq on Wed Apr 01 2009
BuildRequires: gcc-c++ gnome-doc-utils-xslt intltool libGConf-devel libcanberra-devel libenchant-devel libgnome-keyring-devel libnotify-devel librarian libsexy-devel libsoup-devel

#BuildRequires: gcc-c++ gnome-doc-utils-xslt intltool libGConf-devel libcanberra-devel libgnome-keyring-devel libnotify-devel librarian libsexy-devel libsoup-devel

%description
Twitux is a Twitter client for the GNOME desktop.

%prep
%setup -q
%patch0 -p1 -b .friend

%build
%configure \
	--disable-schemas-install
%make_build

%install
%make_install DESTDIR=%buildroot install

%find_lang %name

%post
%gconf2_install twitux

%preun
if [ $1 = 0 ]; then
  %gconf2_uninstall twitux
fi

%files -f %name.lang
%doc AUTHORS ChangeLog NEWS README TODO
%config %_sysconfdir/gconf/schemas/twitux.schemas
%_bindir/twitux
%_datadir/%name/
%_datadir/applications/*.desktop
%_datadir/icons/hicolor/*/apps/twitux.*
%_datadir/omf/%name/
%_datadir/gnome/help/%name/

%changelog
* Wed Apr 01 2009 Igor Zubkov <icesik@altlinux.org> 0.69-alt3
- build with enchant

* Wed Apr 01 2009 Igor Zubkov <icesik@altlinux.org> 0.69-alt2
- build with gnome-keyring

* Thu Mar 26 2009 Igor Zubkov <icesik@altlinux.org> 0.69-alt1
- build for Sisyphus

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.69-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb  1 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.69-2
- Add patch to fix friend add & removals.

* Sun Jan 25 2009 Brian Pepple <bpepple@fedoraproject.org> - 0.69-1
- Update to 0.69.

* Sun Dec 14 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.68-1
- Update to 0.68.
- Add BR on gnome-doc-utils and libcanberra-devel.
- Add help files.
- Drop popup menu patch.  Fixed upstream.

* Fri Dec  5 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.65-2
- Add patch to fix notification popup menu.

* Tue Nov 11 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.65-1
- Update to 0.65.

* Tue Apr 29 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.62-1
- Update to 0.62.

* Mon Mar 10 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.61-1
- Update to 0.61.
- Add minimum requirements for glib2-devel & libsoup-devel.
- Drop libsoup patch, fixed upstream.
- Drop BR on libgnomeui-devel & openssl-devel.
- Update url & source, and other minor formatting changes.

* Thu Feb 14 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.60-4
- Rebuild for new libsoup.

* Wed Feb  6 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.60-3
- Add BR for gnome-keyring-devel & dbus-devel.
- Add patch to use libsoup-2.4 api. (Thanks to Dan Winship)

* Wed Jan 30 2008 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.60-2.1
- Rebuild for newer libsoup.

* Sun Jan 13 2008 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.60-2
- Clean up BRs
- Don't run update-desktop-database in scripts

* Sun Jan 13 2008 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.60-1
- Upstream 0.60.
- New buildrequires: gnome-vfs2-devel libgnomeui-devel, libglade2-devel
- Handle gconf bits
- Update icon db, since we now install bits in hicolor

* Wed Sep 26 2007 Konstantin Ryabitsev <icon@fedoraproject.org> - 0.50-1
- Initial packaging.
